Bug 289483 - UI doesn't say I have to run Moodbar generator manually
Summary: UI doesn't say I have to run Moodbar generator manually
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Moodbar (show other bugs)
Version: 2.6-git
Platform: Ubuntu Packages Linux
: NOR minor (vote)
Target Milestone: 2.8
Assignee: Amarok Developers
URL:
Keywords: junior-jobs
: 312789 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-12-21 07:52 UTC by Kazeev Nikita
Modified: 2013-03-30 11:03 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments
Moodbar help. (85.54 KB, image/png)
2013-03-19 14:01 UTC, aitch_nu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kazeev Nikita 2011-12-21 07:52:11 UTC
Version:           2.4.3 (using KDE 4.7.3) 
OS:                Linux

It UI there is a hint that says the "Moodbar generator" external package is needed for the feature to function. However it's non-obvious, that .mood files have to be generated manually. For a user it appears as he checks the setting and NOTHING HAPPENS. If moodbar cannot be set run automatically, it would be just better to put a notice in the setting menu.

Reproducible: Always

Steps to Reproduce:
Enable Moodbar in the setting dialogue.

Actual Results:  
Nothing (even no error output) happens until I google, read documentation, download and run generator script.

Expected Results:  
Moodbars are shown.

OS: Linux (x86_64) release 3.0.0-14-generic
Compiler: gcc
Comment 1 Aakash 2012-01-01 18:10:12 UTC
Thanks for reporting.
This seems more of a "wishlist" bug. Please tag accordingly.
Thanks,
Comment 2 Myriam Schweingruber 2012-01-02 00:14:23 UTC
Indeed, Amarok only displays the Moodbar, it doesn't generate it.
Comment 3 Myriam Schweingruber 2013-01-07 12:21:52 UTC
*** Bug 312789 has been marked as a duplicate of this bug. ***
Comment 4 Myriam Schweingruber 2013-01-07 12:23:54 UTC
Pushing to bugs list, mark as JuniorJob.
We are currently in string freeze, this will have to wait for a few weeks as 2.7 is around the corner.
Comment 5 aitch_nu 2013-03-15 06:53:14 UTC
Should I just add a line in UI saying " .mood file must be generated manually " and give the following link for further reference :
http://userbase.kde.org/Amarok/Manual/Various/Moodbar
Comment 6 Myriam Schweingruber 2013-03-15 12:16:42 UTC
(In reply to comment #5)
> Should I just add a line in UI saying " .mood file must be generated
> manually " and give the following link for further reference :
> http://userbase.kde.org/Amarok/Manual/Various/Moodbar

Yes, that sounds like a good idea :)
Comment 7 aitch_nu 2013-03-15 12:26:29 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > Should I just add a line in UI saying " .mood file must be generated
> > manually " and give the following link for further reference :
> > http://userbase.kde.org/Amarok/Manual/Various/Moodbar
> 
> Yes, that sounds like a good idea :)

Ok, I am on it....
Comment 8 aitch_nu 2013-03-19 14:01:41 UTC
Created attachment 78204 [details]
Moodbar help.

Someone please review it.
Comment 9 Myriam Schweingruber 2013-03-19 14:24:10 UTC
(In reply to comment #8)
> Created attachment 78204 [details]
> Moodbar help.
> 
> Someone please review it.

Please make a review request on http://reviewboard.kde.org.
Comment 10 Matěj Laitl 2013-03-30 11:03:11 UTC
Git commit d92e270ad727823580bec6d007446609d8fe0918 by Matěj Laitl, on behalf of Harsh Gupta.
Committed on 30/03/2013 at 11:56.
Pushed by laitl into branch 'master'.

Config dialog: add note about generating mood files manually

CHANGES:
 * Add note about generating .mood files into Moodbar Options; patch by Harsh
   Gupta with tweaks by Matěj Laitl.
FIXED-IN: 2.8
REVIEW: 109585

M  +2    -0    ChangeLog
M  +29   -16   src/configdialog/dialogs/GeneralConfig.ui

http://commits.kde.org/amarok/d92e270ad727823580bec6d007446609d8fe0918